INTERFACE
SUBROUTINE LCNORGGAD (KSTART,KPROF,PGELAM,PGELAT,PGM,&
 & PUT0,PVT0,PTT0,PQT0,PSPT0,&
 & PUPP,PVPP,PTPP,PQPP,PSPPP) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAT(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPT0(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUPP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVPP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTPP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQPP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPPP(NPROMA)
END SUBROUTINE LCNORGGAD
END INTERFACE
